set PKG_PATH d:/Modeltech_5.7e/vhdl_src;# the directory where the package_sources
                                       # are located

eval "set pkg_list {\
          {std_logic_1164     $PKG_PATH/ieee/stdlogic.vhd}\
          {numeric_bit        $PKG_PATH/ieee/mti_numeric_bit.vhd}\
          {numeric_std        $PKG_PATH/ieee/mti_numeric_std.vhd}\
          {std_logic_signed   $PKG_PATH/synopsys/mti_std_logic_signed.vhd}\
          {std_logic_unsigned $PKG_PATH/synopsys/mti_std_logic_unsigned.vhd}\
          {std_logic_arith    $PKG_PATH/synopsys/mti_std_logic_arith.vhd}\
          {std_logic_misc     $PKG_PATH/synopsys/mti_std_logic_misc.vhd}\
     }"

toplevel .pkg
listbox .pkg.lb -width 25 -bg white

pack .pkg.lb -side top


for {set i [expr 0]} {$i < [llength $pkg_list]} {incr i} {
   .pkg.lb insert end [lindex [lindex $pkg_list $i] 0]
}

bind .pkg.lb <ButtonPress-1> { set idx [.pkg.lb curselection]
                               set pkg [lindex $pkg_list $idx]
                               set pkg_file [lindex $pkg 1]
                               notepad $pkg_file -r
                             }
bindtags .pkg.lb {Listbox .pkg.lb}
wm title .pkg "packages"
wm geometry .pkg -250+20






