toplevel .todo
listbox  .todo.lb -width 25 -bg white
frame    .todo.cfr
button   .todo.cfr.edit -text Edit\
                        -command { set idx [.todo.lb curselection]
                                   if {$idx != ""} {
                                      set f_vhd [lindex $vhdl_files $idx]
                                      edit $f_vhd
                                  }\
                                   else {
                                      echo "*** select a file first ***"
                                   }
                                 }
button   .todo.cfr.comp -text Compile\
                        -command { set idx [.todo.lb curselection]
                                   if {$idx != ""} {
                                      set f_vhd [lindex $vhdl_files $idx]
                                      vcom $f_vhd
                                      .todo.lb selection set $idx
                                   }\
                                   else {
                                      echo "*** select a file first ***"
                                   }
                                 }
button   .todo.cfr.run  -text Run\
                  -command { set idx [.todo.lb curselection]
                             if {$idx != ""} {
                                set f_vhd [lindex $vhdl_files $idx]
                                set ent_name [file rootname $f_vhd]
                                if {![file exists work/$ent_name]} {
                                   echo "*** compile this file first ***"
                                }\
                                elseif {[string first "_pkg" $ent_name] >= 0} {
                                   echo "*** a package cannot be simulated ***"
                                }\
                                else {
                                   set f_tcl "$ent_name.tcl"
                                   do $f_tcl
                                }
                             }\
                             else {
                                echo "*** select a file first ***"
                             }
                           }

pack .todo.lb       -side left -fill both
pack .todo.cfr      -side right -fill y
pack .todo.cfr.edit -side top -fill x
pack .todo.cfr.comp -side top -fill x
pack .todo.cfr.run  -side top -fill x

set vhdl_files {and2.vhd adder.vhd comparator.vhd freq_div.vhd\
                colour_pkg.vhd add_colours.vhd compl_colour.vhd}
for {set i [expr 0]} {$i < [llength $vhdl_files]} {incr i} {
   .todo.lb insert end [lindex $vhdl_files $i]
}
.todo.lb selection set 0
wm geometry .todo -20+20











